KRecentFilesAction Class Reference

`#include <kactionclasses.h>`

Inheritance diagram for KRecentFilesAction:

## Public Slots

void | setMaxItems (uint maxItems)
void | loadEntries (KConfig *config, QString groupname=QString::null)
void | saveEntries (KConfig *config, QString groupname=QString::null)
void | addURL (const KURL &url)
void | addURL (const KURL &url, const QString &name)
void | removeURL (const KURL &url)
void | clearURLList ()
Public Slots inherited from KListAction
virtual void | setCurrentItem (int index)
Public Slots inherited from KSelectAction
virtual void | setCurrentItem (int index)
virtual void | setItems (const QStringList &lst)
virtual void | clear ()
virtual void | setEditable (bool)
virtual void | setComboWidth (int width)
Public Slots inherited from KAction
virtual void | setText (const QString &text)
virtual bool | setShortcut (const KShortcut &)
virtual void | setGroup (const QString &)
virtual void | setWhatsThis (const QString &text)
virtual void | setToolTip (const QString &)
virtual void | setIconSet (const QIconSet &iconSet)
virtual void | setIcon (const QString &icon)
virtual void | setEnabled (bool enable)
void | setDisabled (bool disable)
virtual void | setShortcutConfigurable (bool)
virtual void | activate ()

## Signals

void | urlSelected (const KURL &url)
Signals inherited from KSelectAction
void | activated (int index)
void | activated (const QString &text)
Signals inherited from KAction
void | activated ()
void | activated (KAction::ActivationReason reason, Qt::ButtonState state)
void | enabled (bool)

## Public Member Functions

| KRecentFilesAction (const QString &text, const KShortcut &cut, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (const QString &text, const QIconSet &pix, const KShortcut &cut, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (const QString &text, const QString &pix, const KShortcut &cut, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0, uint maxItems=10)
| KRecentFilesAction (QObject *parent=0, const char *name=0, uint maxItems=10)
virtual | ~KRecentFilesAction ()
virtual int | plug (QWidget *widget, int index=-1)
uint | maxItems () const
virtual QStringList | items () const
QStringList | completeItems () const
Public Member Functions inherited from KListAction
| KListAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KListAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KListAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KListAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KListAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KListAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KListAction (QObject *parent=0, const char *name=0)
virtual | ~KListAction ()
virtual QString | currentText () const
virtual int | currentItem () const
Public Member Functions inherited from KSelectAction
| KSelectAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KSelectAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KSelectAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KSelectAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KSelectAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KSelectAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KSelectAction (QObject *parent=0, const char *name=0)
virtual | ~KSelectAction ()
virtual bool | isEditable () const
virtual void | changeItem (int index, const QString &text)
virtual int | comboWidth () const
void | setMaxComboViewCount (int n)
QPopupMenu * | popupMenu () const
void | setRemoveAmpersandsInCombo (bool b) KDE_DEPRECATED
bool | removeAmpersandsInCombo () const
void | setMenuAccelsEnabled (bool b)
bool | menuAccelsEnabled () const
virtual bool | isShortcutConfigurable () const
Public Member Functions inherited from KAction
| KAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const KGuiItem &item, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (QObject *parent=0, const char *name=0)
virtual | ~KAction ()
virtual void | plugAccel (KAccel *accel, bool configurable=true) KDE_DEPRECATED
virtual void | unplug (QWidget *w)
virtual void | unplugAccel () KDE_DEPRECATED
virtual bool | isPlugged () const
bool | isPlugged (const QWidget *container) const
virtual bool | isPlugged (const QWidget *container, int id) const
virtual bool | isPlugged (const QWidget *container, const QWidget *_representative) const
QWidget * | container (int index) const
int | itemId (int index) const
QWidget * | representative (int index) const
int | containerCount () const
uint | kaccelCount () const
virtual bool | hasIcon () const
bool | hasIconSet () const
virtual QString | plainText () const
virtual QString | text () const
virtual const KShortcut & | shortcut () const
virtual const KShortcut & | shortcutDefault () const
QString | shortcutText () const
void | setShortcutText (const QString &)
virtual bool | isEnabled () const
virtual QString | group () const
virtual QString | whatsThis () const
virtual QString | toolTip () const
virtual QIconSet | iconSet (KIcon::Group group, int size=0) const
QIconSet | iconSet () const
virtual QString | icon () const
KActionCollection * | parentCollection () const
void | unplugAll ()
int | accel () const KDE_DEPRECATED
QString | statusText () const
void | setAccel (int key) KDE_DEPRECATED
void | setStatusText (const QString &text)
int | menuId (int i)

## Protected Slots

void | itemSelected (const QString &string)
void | menuAboutToShow ()
void | menuItemActivated (int id)
void | slotClicked ()
virtual void | slotActivated (int)
virtual void | slotActivated (const QString &)
virtual void | slotActivated ()
Protected Slots inherited from KSelectAction
virtual void | slotActivated (int id)
virtual void | slotActivated (const QString &text)
virtual void | slotActivated ()
Protected Slots inherited from KAction
virtual void | slotDestroyed ()
virtual void | slotKeycodeChanged ()
virtual void | slotActivated ()
void | slotPopupActivated ()
void | slotButtonClicked (int, Qt::ButtonState state)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KSelectAction
virtual void | changeItem (int id, int index, const QString &text)
QStringList | comboItems () const
virtual void | updateCurrentItem (int id)
virtual void | updateComboWidth (int id)
virtual void | updateItems (int id)
virtual void | updateClear (int id)
Protected Member Functions inherited from KAction
KToolBar * | toolBar (int index) const
QPopupMenu * | popupMenu (int index) const
void | removeContainer (int index)
int | findContainer (const QWidget *widget) const
int | findContainer (int id) const
void | plugMainWindowAccel (QWidget *w)
void | addContainer (QWidget *parent, int id)
void | addContainer (QWidget *parent, QWidget *representative)
virtual void | updateShortcut (int i)
virtual void | updateShortcut (QPopupMenu *menu, int id)
virtual void | updateGroup (int id)
virtual void | updateText (int i)
virtual void | updateEnabled (int i)
virtual void | updateIconSet (int i)
virtual void | updateIcon (int i)
virtual void | updateToolTip (int id)
virtual void | updateWhatsThis (int i)
QString | whatsThisWithIcon () const
const KGuiItem & | guiItem () const

## Properties

uint | maxItems
Properties inherited from KSelectAction
int | currentItem
QStringList | items
bool | editable
int | comboWidth
QString | currentText
bool | menuAccelsEnabled
Properties inherited from KAction
int | containerCount
QString | plainText
QString | text
QString | shortcut
bool | enabled
QString | group
QString | whatsThis
QString | toolTip
QString | icon

## Additional Inherited Members

Public Types inherited from KAction
enum | ActivationReason { UnknownActivation, EmulatedActivation, AccelActivation, PopupMenuActivation, ToolBarActivation }
Static Public Member Functions inherited from KAction
static int | getToolButtonID ()
Protected Attributes inherited from KAction
KActionCollection * | m_parentCollection

## Detailed Description

Recent files action.

This class is an action to handle a recent files submenu. The best way to create the action is to use KStdAction::openRecent. Then you simply need to call loadEntries on startup, saveEntries on shutdown, addURL when your application loads/saves a file.

Author
  Michael Koch

Definition at line 696 of file kactionclasses.h.

## Constructor & Destructor Documentation

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const KShortcut & | cut,
|  | QObject * | parent,
|  | const char * | name = `0`,
|  | uint | maxItems = `10`
| ) |  |

Parameters

  text | The text that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
  maxItems | The maximum number of files to display

Definition at line 944 of file kactionclasses.cpp.

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = `0`,
|  | uint | maxItems = `10`
| ) |  |

Parameters

  text | The text that will be displayed.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke when a URL is selected. Its signature is of the form slotURLSelected( const KURL & ).
  parent | This action's parent.
  name | An internal name for this action.
  maxItems | The maximum number of files to display

Definition at line 956 of file kactionclasses.cpp.

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut,
|  | QObject * | parent,
|  | const char * | name = `0`,
|  | uint | maxItems = `10`
| ) |  |

Parameters

  text | The text that will be displayed.
  pix | The icons that go with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
  maxItems | The maximum number of files to display

Definition at line 974 of file kactionclasses.cpp.

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut,
|  | QObject * | parent,
|  | const char * | name = `0`,
|  | uint | maxItems = `10`
| ) |  |

Parameters

  text | The text that will be displayed.
  pix | The dynamically loaded icon that goes with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  parent | This action's parent.
  name | An internal name for this action.
  maxItems | The maximum number of files to display

Definition at line 987 of file kactionclasses.cpp.

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const QIconSet & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = `0`,
|  | uint | maxItems = `10`
| ) |  |

Parameters

  text | The text that will be displayed.
  pix | The icons that go with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke when a URL is selected. Its signature is of the form slotURLSelected( const KURL & ).
  parent | This action's parent.
  name | An internal name for this action.
  maxItems | The maximum number of files to display

Definition at line 1000 of file kactionclasses.cpp.

KRecentFilesAction::KRecentFilesAction | ( | const QString & | text,
|  | const QString & | pix,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | QObject * | parent,
|  | const char * | name = `0`,
|  | uint | maxItems = `10`
| ) |  |

Parameters

  text | The text that will be displayed.
  pix | The dynamically loaded icon that goes with this action.
  cut | The corresponding keyboard accelerator (shortcut).
  receiver | The SLOT's parent.
  slot | The SLOT to invoke when a URL is selected. Its signature is of the form slotURLSelected( const KURL & ).
  parent | This action's parent.
  name | An internal name for this action.
  maxItems | The maximum number of files to display

Definition at line 1019 of file kactionclasses.cpp.

KRecentFilesAction::KRecentFilesAction | ( | QObject * | parent = `0`,
|  | const char * | name = `0`,
|  | uint | maxItems = `10`
| ) |  |

Parameters

  parent | This action's parent.
  name | An internal name for this action.
  maxItems | The maximum number of files to display

Definition at line 1038 of file kactionclasses.cpp.

KRecentFilesAction::~KRecentFilesAction | ( |  | ) |

virtual

Destructor.

Definition at line 1060 of file kactionclasses.cpp.

## Member Function Documentation

void KRecentFilesAction::addURL | ( | const KURL & | url | ) |

slot

Add URL to recent files list.

Parameters

  url | The URL of the file

Definition at line 1094 of file kactionclasses.cpp.

void KRecentFilesAction::addURL | ( | const KURL & | url,
|  | const QString & | name
| ) |  |

slot

Add URL to recent files list.

Parameters

  url | The URL of the file
  name | The user visible pretty name that appears before the URL

Since
  3.5

Definition at line 1099 of file kactionclasses.cpp.

void KRecentFilesAction::clearURLList | ( |  | ) |

slot

Removes all entries from the recent files list.

Definition at line 1157 of file kactionclasses.cpp.

QStringList KRecentFilesAction::completeItems | ( |  | ) | const

Returns
  the items that can be selected with this action. The returned items contain the pretty name that can be set by addURL.

Since
  3.5

Definition at line 1341 of file kactionclasses.cpp.

QStringList KRecentFilesAction::items | ( |  | ) | const

virtual

Returns
  the items that can be selected with this action. The returned items do not contain the pretty name that can be set by addURL, matching the pre-3.5 behavior.

Reimplemented from KSelectAction.

Definition at line 1327 of file kactionclasses.cpp.

void KRecentFilesAction::loadEntries | ( | KConfig * | config,
|  | QString | groupname = `QString::null`
| ) |  |

slot

Loads the recent files entries from a given KConfig object.

You can provide the name of the group used to load the entries. If the groupname is empty, entries are load from a group called 'RecentFiles'

This method does not effect the active group of KConfig.

Definition at line 1164 of file kactionclasses.cpp.

uint KRecentFilesAction::maxItems | ( |  | ) | const

Returns the maximum of items in the recent files list.

int KRecentFilesAction::plug | ( | QWidget * | widget,
|  | int | index = `-1`
| ) |  |

virtual

"Plug" or insert this action into a given widget.

This will typically be a menu or a toolbar. From this point on, you will never need to directly manipulate the item in the menu or toolbar. You do all enabling/disabling/manipulation directly with your KSelectAction object.

Parameters

  widget | The GUI element to display this action.
  index | The index of the item.

Reimplemented from KSelectAction.

Definition at line 1266 of file kactionclasses.cpp.

void KRecentFilesAction::removeURL | ( | const KURL & | url | ) |

slot

Remove an URL from the recent files list.

Parameters

  url | The URL of the file

Definition at line 1137 of file kactionclasses.cpp.

void KRecentFilesAction::saveEntries | ( | KConfig * | config,
|  | QString | groupname = `QString::null`
| ) |  |

slot

Saves the current recent files entries to a given KConfig object.

You can provide the name of the group used to load the entries. If the groupname is empty, entries are saved to a group called 'RecentFiles'

This method does not effect the active group of KConfig.

Definition at line 1209 of file kactionclasses.cpp.

void KRecentFilesAction::setMaxItems | ( | uint | maxItems | ) |

slot

Sets the maximum of items in the recent files list.

The default for this value is 10 set in the constructor.

If this value is lesser than the number of items currently in the recent files list the last items are deleted until the number of items are equal to the new maximum.

Definition at line 1071 of file kactionclasses.cpp.

void KRecentFilesAction::urlSelected | ( | const KURL & | url | ) |

signal

This signal gets emited when the user selects an URL.

Parameters

  url | The URL thats the user selected.

The documentation for this class was generated from the following files:

- kactionclasses.h
- kactionclasses.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys